### Method

# Gtk PrintUnixDialogget_settings

#### Declaration [src]

    GtkPrintSettings*
    gtk_print_unix_dialog_get_settings (
      GtkPrintUnixDialog* dialog
    )

#### Description [src]

Gets a new `GtkPrintSettings` object that represents the current values in the print dialog.

Note that this creates a new object, and you need to unref it if don’t want to keep it.

Sets property | `Gtk.PrintUnixDialog:print-settings`

#### Return value

Type: `GtkPrintSettings`

A new `GtkPrintSettings` object with the values from `dialog`.

The caller of the method takes ownership of the data, and is responsible for freeing it.